# -*- encoding: utf-8 -*-
##############################################################################
#    
#    Copyright (C) 2011 - TODAY DeneroTeam. (<http://www.deneroteam.com>)
#    Copyright (C) 2011 - TODAY Didotech Inc. (<http://www.didotech.com>)
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
{
    'name': 'Project Management/Task Workflow',
    'version': '1.0',
    'category': 'Generic Modules/Projects & Services',
    'description': """
        Project Task management module by adding workflow with task.
        Task lifecycle is as bellow.
                             ┌---------┬--------------------┐
                             ┊         ↑                    ↑
                             ↓         ┊                    ┊
          draft < ╴╴╴╴╴╴╴> Open ---> Close                  ┊
            ↓                ↓                              ┊
            ┊                ┊                              ┊
            │                ├╴╴╴╴╴╴╴╴╴╴╴╴> Pending---->----┤
            │                ┆                  ┆           ┊
            ┆                ┆                  ↓           ┊
            └╴╴╴╴╴╴╴╴╴╴╴╴╴╴╴╴┴╴╴╴╴╴╴╴╴╴╴╴╴╴> Cancel---->----┘
    """,
    "author": "Didotech - Deneroteam",
    'website': 'http://www.deneroteam.com',
    'depends': ['project'],
    'init_xml': [],
    'update_xml': [
            'task_view.xml',
            'task_workflow.xml',
            ],
    'demo_xml': [],
    'installable': True,
    'active': False,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: