# -*- coding: utf-8 -*-
##############################################################################
#    
#    Copyright (C) 2011 - TODAY DeneroTeam. (<http://www.deneroteam.com>)
#    Copyright (C) 2011 - TODAY Didotech Inc. (<http://www.didotech.com>)
#    All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as published
#    by the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from lxml import etree
import netsvc
from osv import fields, osv
from tools.translate import _

class project_task_reevaluate(osv.osv_memory):
    _inherit = 'project.task.reevaluate'
    def compute_hours(self, cr, uid, ids, context=None):
        if context is None:
            context = {}
        data = self.browse(cr, uid, ids, context=context)[0]
        task_pool = self.pool.get('project.task')
        task_id = context.get('active_id', False)
        if task_id:
            task_pool.write(cr, uid, task_id, {'remaining_hours': data.remaining_hours})
            if context.get('button_reactivate', False):
                wf_service = netsvc.LocalService("workflow")
                wf_service.trg_validate(uid, 'project.task', task_id, 'act_open', cr)
        return {'type': 'ir.actions.act_window_close'}
project_task_reevaluate()